package ch.tpolgrabia.demos;

import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;
import org.openqa.selenium.By;
import org.openqa.selenium.Keys;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class SeleniumTest {

    private static ChromeDriver driver;
    private static WebDriverWait wait;

    @BeforeAll
    public static void init() {
        driver = new ChromeDriver();
        wait = new WebDriverWait(driver, 10);
    }

    @Test
    public void mainTest1() {
        driver.get("https://google.com/ncr");
        driver.findElement(By.name("q")).sendKeys(String.format("cheese%s", Keys.ENTER));
        WebElement firstResult = wait.until(ExpectedConditions.presenceOfElementLocated(By.cssSelector("h3>div")));
        System.out.println(firstResult.getAttribute("textContent"));
    }

    @AfterAll
    public static void destroy() {
        driver.quit();
    }
}
